unit ShowHideBuiltinRibbonGroup_IMPL;

interface

uses
  SysUtils, ComObj, ComServ, ActiveX, Variants, Outlook2000, Office2000, adxAddIn, ShowHideBuiltinRibbonGroup_TLB, StdVcl,
  Classes;

type
  TcoShowHideBuiltinRibbonGroup = class(TadxAddin, IcoShowHideBuiltinRibbonGroup)
  end;

  TAddInModule = class(TadxCOMAddInModule)
    adxRibbonTab1: TadxRibbonTab;
    procedure adxRibbonTab1Controls2Controls0Click(Sender: TObject;
      const RibbonControl: IRibbonControl);
  private
    bShow: boolean;
  protected
  public
  end;

implementation

{$R *.dfm}

procedure TAddInModule.adxRibbonTab1Controls2Controls0Click(
  Sender: TObject; const RibbonControl: IRibbonControl);
begin
  bShow := not bShow;
  (adxRibbonTab1.Controls.Items[0] as TadxRibbonGroup).Visible := not bShow;
  (adxRibbonTab1.Controls.Items[1] as TadxRibbonGroup).Visible := bShow;
end;

initialization
  TadxFactory.Create(ComServer, TcoShowHideBuiltinRibbonGroup, CLASS_coShowHideBuiltinRibbonGroup, TAddInModule);

end.
